org.bdgenomics.adam.projections

# DatabaseVariantAnnotationField

###
Related Doc: package projections

#### object DatabaseVariantAnnotationField extends FieldEnumeration

Enumeration of DatabaseVariantAnnotation field names for predicates and projections.

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DatabaseVariantAnnotationField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### class SchemaVal extends Val with FieldValue

   Definition Classes
     FieldEnumeration

2. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

3. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def SchemaValue: SchemaVal

   Attributes
     protected
   Definition Classes
     FieldEnumeration

5. #### final def Value(i: Int, name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

6. #### final def Value(name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

7. #### final def Value(i: Int): Value

   Attributes
     protected
   Definition Classes
     Enumeration

8. #### final def Value: Value

   Attributes
     protected
   Definition Classes
     Enumeration

9. #### val alternateAminoAcid: SchemaVal

10. #### val ancestralAllele: SchemaVal

11. #### final def apply(x: Int): Value

    Definition Classes
      Enumeration

12. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

13. #### val clinicalSignificance: SchemaVal

14. #### val clinvarId: SchemaVal

15. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

16. #### val cosmicId: SchemaVal

17. #### val dbsnpId: SchemaVal

18. #### val ensemblGeneId: SchemaVal

19. #### val ensemblTranscriptIds: SchemaVal

20. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

22. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

23. #### val geneSymbol: SchemaVal

24. #### val gerpNr: SchemaVal

25. #### val gerpRs: SchemaVal

26. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

27. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

28. #### val hgvs: SchemaVal

29. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

30. #### final def maxId: Int

    Definition Classes
      Enumeration

31. #### val mutationTasterPred: SchemaVal

32. #### val mutationTasterScore: SchemaVal

33. #### val mutationTasterScoreConverted: SchemaVal

34. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

35. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

36. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

37. #### final def notify(): Unit

    Definition Classes
      AnyRef

38. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

39. #### val omimId: SchemaVal

40. #### val phylop: SchemaVal

41. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

42. #### val recordSchema: Schema

    Definition Classes
      FieldEnumeration

43. #### val referenceAminoAcid: SchemaVal

44. #### val siftPred: SchemaVal

45. #### val siftScore: SchemaVal

46. #### val siftScoreConverted: SchemaVal

47. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

48. #### val thousandGenomesAlleleCount: SchemaVal

49. #### val thousandGenomesAlleleFrequency: SchemaVal

50. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

51. #### def values: ValueSet

    Definition Classes
      Enumeration

52. #### val variant: SchemaVal

53. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

54. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

55. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

56. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped